# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [0.5.1]

### Added

- Added `Heap.getEnvironmentId()`.
- Added TypeScript properties for additional `startRecording` options.
- Added autocapture extensions.
- Exposed additional types.

## [0.1.1]

### Added

- Added `Heap.setLogLevel(LogLevel)`.
- Exposed types for direct use by bridges.

## [0.1.0]

### Added

- Manual capture SDK that can be used by JavaScript language bridges.
