import type { HeapLogger } from '../logger';
import type { Heap, SourceInfo } from './types';
import type { InvocationHandler } from '../bridge';
import { SourceManager } from './sourcemanager';
export { SourceManager } from './sourcemanager';
export { createBridgeInvocationHandler } from './bridgeinvocationhandler';
export type { AutocaptureApi, Heap, InteractionNode, InteractionType, Options, Pageview, PageviewProperties, Properties, Source, SourceInfo, SourceManagementApi, } from './types';
export declare const createHeap: (handleInvocation: InvocationHandler, logger: HeapLogger, defaultSource?: SourceInfo | null, sourceManager?: SourceManager | null) => Heap;
