"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createHeap = exports.createBridgeInvocationHandler = exports.SourceManager = void 0;
var autocapture_1 = require("./autocapture");
var core_1 = require("./core");
var sourcemanager_1 = require("./sourcemanager");
var pageviews_1 = require("./pageviews");
var sourcemanager_2 = require("./sourcemanager");
Object.defineProperty(exports, "SourceManager", { enumerable: true, get: function () { return sourcemanager_2.SourceManager; } });
var bridgeinvocationhandler_1 = require("./bridgeinvocationhandler");
Object.defineProperty(exports, "createBridgeInvocationHandler", { enumerable: true, get: function () { return bridgeinvocationhandler_1.createBridgeInvocationHandler; } });
var createHeap = function (handleInvocation, logger, defaultSource, sourceManager) {
    if (defaultSource === void 0) { defaultSource = null; }
    if (sourceManager === void 0) { sourceManager = null; }
    var resolvePageviewKey = (0, pageviews_1.createPageviewKeyResolver)(sourceManager, logger, defaultSource === null || defaultSource === void 0 ? void 0 : defaultSource.name);
    return __assign(__assign(__assign({}, (0, autocapture_1.createAutocaptureMethods)(handleInvocation, logger, defaultSource, resolvePageviewKey)), (0, core_1.createCoreMethods)(handleInvocation, logger, defaultSource, resolvePageviewKey)), (0, sourcemanager_1.createSourceManagementMethods)(handleInvocation, sourceManager));
};
exports.createHeap = createHeap;
