import { HeapLogger } from '../logger';
import type { InvocationHandler } from '../bridge';
import type { CoreApi, SourceInfo } from './types';
import { PageviewKeyResolver } from './pageviews';
export type { Options, Properties, SourceInfo, Pageview, PageviewProperties, InteractionType, InteractionNode, } from './types';
export declare const createCoreMethods: (handleInvocation: InvocationHandler, logger: HeapLogger, defaultSource: SourceInfo | null | undefined, resolvePageviewKey: PageviewKeyResolver) => CoreApi;
